Update a contact
curl --request PUT \
--url https://app.leonar.app/api/v1/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"emails": [
{
"email": "jsmith@example.com",
"type": "work"
}
],
"phones": [
{
"phone": "<string>",
"type": "personal"
}
],
"title": "<string>",
"current_company": "<string>",
"location": "<string>",
"linkedin_profile": "<string>",
"resume": "<string>",
"tags": [
"<string>"
],
"global_status": "<string>",
"do_not_contact": true,
"custom_data": {}
}
'import requests
url = "https://app.leonar.app/api/v1/contacts/{id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"emails": [
{
"email": "jsmith@example.com",
"type": "work"
}
],
"phones": [
{
"phone": "<string>",
"type": "personal"
}
],
"title": "<string>",
"current_company": "<string>",
"location": "<string>",
"linkedin_profile": "<string>",
"resume": "<string>",
"tags": ["<string>"],
"global_status": "<string>",
"do_not_contact": True,
"custom_data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
emails: [{email: 'jsmith@example.com', type: 'work'}],
phones: [{phone: '<string>', type: 'personal'}],
title: '<string>',
current_company: '<string>',
location: '<string>',
linkedin_profile: '<string>',
resume: '<string>',
tags: ['<string>'],
global_status: '<string>',
do_not_contact: true,
custom_data: {}
})
};
fetch('https://app.leonar.app/api/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"first_name": "Sophie",
"last_name": "Martin",
"title": "Senior Software Engineer",
"current_company": "Doctolib",
"location": "Paris, France",
"linkedin_profile": "https://www.linkedin.com/in/sophie-martin",
"emails": [
{
"email": "sophie@doctolib.com",
"type": "work"
}
],
"phones": [
{
"phone": "+33612345678",
"type": "personal"
}
],
"tags": [
"frontend",
"senior"
],
"global_status": "new",
"source": "linkedin",
"summary": null,
"skills": [
"React",
"TypeScript",
"Node.js"
],
"languages": [
"French",
"English"
],
"years_experience": 8,
"custom_data": {
"industry_code": "A12",
"vip": true
},
"do_not_contact": false,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-20T14:00:00Z",
"last_contacted_at": null,
"archived_at": null
}
}{
"error": {
"code": "validation_error",
"message": "Invalid input"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}Contacts
Update a contact
Updates an existing contact. Only specified fields are updated.
custom_data uses partial merge semantics:
- sent keys are upserted
- keys set to
nullare removed - omitted keys are preserved
PUT
/
contacts
/
{id}
Update a contact
Authorizations
API key starting with leo_
Path Parameters
Contact ID
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Partial custom field update map keyed by custom field key.
Keys with null values are removed; omitted keys are preserved.
Response
Contact updated
Show child attributes
Show child attributes
Example:
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"first_name": "Sophie",
"last_name": "Martin",
"title": "Senior Software Engineer",
"current_company": "Doctolib",
"location": "Paris, France",
"linkedin_profile": "https://www.linkedin.com/in/sophie-martin",
"emails": [
{
"email": "sophie@doctolib.com",
"type": "work"
}
],
"phones": [
{
"phone": "+33612345678",
"type": "personal"
}
],
"tags": ["frontend", "senior"],
"global_status": "new",
"source": "linkedin",
"summary": null,
"skills": ["React", "TypeScript", "Node.js"],
"languages": ["French", "English"],
"years_experience": 8,
"custom_data": { "industry_code": "A12", "vip": true },
"do_not_contact": false,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-20T14:00:00Z",
"last_contacted_at": null,
"archived_at": null
}
⌘I